Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will one VMs on VLAN 1750 at the InstaGENI rack at GPO,
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.13.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-ig-utah.rspec	(revision 1644)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.13.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-gpo.rspec	(revision 1644)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp1"
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.13.0/24"/>
+        <openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-i2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-i2.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-i2.rspec	(revision 1644)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="IG-EXP-6-exp1 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="I2-LOSA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="15" num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="9" num="9"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.13.0/24"/>
+	<openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves the OpenFlow resources in the GPO InstaGENI rack 
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp1 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.13.0/24"/>
+        <openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-ig-utah.rspec	(revision 1644)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves the OpenFlow resources in the Utah InstaGENI rack 
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp1 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.13.0/24"/>
+	<openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-nlr.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-nlr.rspec	(revision 1644)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp1 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.13.0/24"/>
+	<openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-uen.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp1-openflow-uen.rspec	(revision 1644)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-4-exp1 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.13.0/24"/>
+	<openflow:nw_src value="10.42.13.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will 1 VM and 1 raw pc on VLAN 1750 at the InstaGENI rack at GPO
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+ <node client_id="GPO-VM" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="GPO-VM:if0">
+      <ip address="10.42.18.37" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+ </node>
+ <node client_id="GPO-PC" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="GPO-PC:if0">
+      <ip address="10.42.18.38" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+ </node>
+ <link client_id="openflow-mesoscale-link">
+    <interface_ref client_id="GPO-VM:if0"/>
+    <interface_ref client_id="GPO-PC:if0"/>
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-ig-utah.rspec	(revision 1644)
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+AM: http://Utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="Utah-VM" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="Utah-VM:if0">
+      <ip address="10.42.18.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="Utah-VM2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="Utah-VM2:if0">
+      <ip address="10.42.18.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="Utah-VM:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="Utah-VM2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-gpo.rspec	(revision 1644)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp1"
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.18.0/24"/>
+        <openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-i2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-i2.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-i2.rspec	(revision 1644)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="IG-EXP-6-exp2 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="I2-LOSA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="15" num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="9" num="9"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.18.0/24"/>
+	<openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves the OpenFlow resources in the GPO InstaGENI rack 
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp2 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.18.0/24"/>
+        <openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-ig-utah.rspec	(revision 1644)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves the OpenFlow resources in the Utah InstaGENI rack 
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp2 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.18.0/24"/>
+	<openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-nlr.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-nlr.rspec	(revision 1644)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp2 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.18.0/24"/>
+	<openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-uen.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp2-openflow-uen.rspec	(revision 1644)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-4-exp2 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33018" type="primary" />
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.18.0/24"/>
+	<openflow:nw_src value="10.42.18.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will one VMs on VLAN 1750 at the InstaGENI rack at GPO,
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.19.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-gpo.rspec	(revision 1644)
@@ -0,0 +1,53 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+NOTE: MUST BE RUN AFTER GPO PG Request to determine host port.
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp3"
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+   <openflow:group name="bbn-1750-nodes">
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"     
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
+                       dpid="06:d6:00:24:a8:c4:b9:00">
+    <openflow:port name="8" num="32"/>
+    </openflow:datapath>
+  </openflow:group>
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-1750-nodes" />
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.19.0/24"/>
+        <openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-i2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-i2.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-i2.rspec	(revision 1644)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="IG-EXP-6-exp3 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="I2-LOSA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="15" num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="9" num="9"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-ig-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-ig-gpo.rspec	(revision 1644)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves the OpenFlow resources in the GPO InstaGENI rack 
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp3 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.19.0/24"/>
+        <openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-nlr.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-nlr.rspec	(revision 1644)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp3 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-pg-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-pg-utah.rspec	(revision 1644)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp3 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-uen.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-openflow-uen.rspec	(revision 1644)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="IG-EXP-6-exp3 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33019" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.19.0/24"/>
+	<openflow:nw_src value="10.42.19.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-gpo.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-gpo.rspec	(revision 1644)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves at GPO PG 
+AM: https://pgeni.gpolab.bbn.com/protogeni/xmlrpc/am
+-->
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+<node client_id="VM" component_manager_id="urn:publicid:IDN+pgeni.gpolab.bbn.com+authority+cm" 
+	exclusive="false">
+      <sliver_type name="raw-pc">
+        <disk_image name="urn:publicid:IDN+pgeni.gpolab.bbn.com+image+emulab-ops//UBUNTU1004-STD" /> 
+      </sliver_type>
+    	<interface client_id="VM:if0">
+   	<ip address="10.42.19.199" netmask="255.255.255.0" />
+	</interface> 
+</node>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-utah.rspec	(revision 1644)
+++ /trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-6/IG-EXP-6-exp3-pg-utah.rspec	(revision 1644)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+RSpec reserves one VM named utah-pg at Utah PG
+AM: http://www.emulab.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.19.44" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
